summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerhard Bräunlich <wippbox@gmx.net>2016-11-11 14:52:01 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-11-12 00:31:08 +0100
commit6b785a844dbf9af8231edef10dc81595159770a4 (patch)
treedda0123655bf44ad56ea82591727bf12ea85c1d9 /sci-physics
parentdev-perl/Spiffy: Stable for remaining arches (ALLARCHES), bug 582008 (diff)
downloadgentoo-6b785a844dbf9af8231edef10dc81595159770a4.tar.gz
gentoo-6b785a844dbf9af8231edef10dc81595159770a4.tar.bz2
gentoo-6b785a844dbf9af8231edef10dc81595159770a4.zip
sci-physics/thepeg: Version bump to 2.0.4, EAPI bump 5 -> 6
Package-Manager: portage-2.3.0
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/thepeg/Manifest1
-rw-r--r--sci-physics/thepeg/files/thepeg-1.8.3-java.patch8
-rw-r--r--sci-physics/thepeg/thepeg-2.0.4.ebuild94
3 files changed, 99 insertions, 4 deletions
diff --git a/sci-physics/thepeg/Manifest b/sci-physics/thepeg/Manifest
index 46d8f6a7fc0..25ff6d159e2 100644
--- a/sci-physics/thepeg/Manifest
+++ b/sci-physics/thepeg/Manifest
@@ -2,5 +2,6 @@ DIST GRV98nlo.LHgrid 221908 SHA256 78e7b133ac1f1d5576aa688f98adb8b6e29feb15cbb58
DIST MRST2001nlo.LHgrid 719692 SHA256 7ec031afa2bd254b95b66b3058291365091f58b48e4be2b368e61fc170c51d58 SHA512 126461ec2358e61221445483074a804c915b94be4a4dfd0330a9cf71feff9a9b981c5594a9d2a1efd236122f44891dd25182649803dccb3b383d03e85e96f930 WHIRLPOOL bce25b3dc3b0a29c537eafac243c81bdb83b4e3daca34627d7d8bb8c59f802bb12ea6e8611fe2758a8c9a9880dab16276c11a332059431df0b14ecb6eb6d40f3
DIST ThePEG-1.9.2.tar.bz2 1870577 SHA256 ff7bbb256866f994dae04ade1f57c92d2670edaac3df11c9a300419a5343faf4 SHA512 bc43606c79bb15938969b9d444db49c6af5c8ba21072a879a502086a77fe18b13fec44691046b4e0772b260b83ea7ef29b906027eadda6a8ea004ace9318379c WHIRLPOOL fb686c14a6c8a958f08be670085f10463d2928dacd8efe039e0e5fa781dc7532310702146dd9a0aef5bb8e881e1ff0e5d7f07637b8ad56a80c3d197e67d9c970
DIST ThePEG-2.0.0.tar.bz2 1938251 SHA256 571730cc956027dc82780dc04ef6e7382ab5ea853fcfebe259e488c6df302a04 SHA512 a3e9a4ab90b126ea67187e2adc5b64480e5afd49ac58d6f3a3855003251d5c7b6ab67fa35b0380684e39f38cf8d4bc8e0ccd9dc4cb7d7b900e90b3448d6182a9 WHIRLPOOL 1c1052972e006c497bd3d23b63b05e97fae922bfe14c1233da39ac5c51b74a18a3480052c1a9dd06bca1ca816218b7a5945b86314ddbea953dd7c9e40e9865d9
+DIST ThePEG-2.0.4.tar.bz2 1921082 SHA256 f3b625b411667e2708995f1d1379b5b8691406853c8c2cca2f4e4e6e062da0e4 SHA512 5c037033daa89748267691df644209f62f46ccdff6865cfeceeda6909cff3de0c474c5ced067db6c5659ba6ebe5a51fc9b8fee46a36886278f8d29e13de2a81c WHIRLPOOL fe2f618837b99d034f36aea103918e02e825c3fc220252f69f9b4ca66e4674f0966b6da4915efb7638d3d8168ea742a7ad7ec39065a2bfda2440d4bf26f70307
DIST cteq5l.LHgrid 134797 SHA256 83c92bc90fd6e12be9cd76bc032eca26dcedbe90f0c11aef843bbf54734d5bba SHA512 1ba41fd773104a933af6f37745dcb6f8422e1aece74ba2b1e15a5fb69fdaf694336c0ec1dc6fbc964d2cf3fe363d17ca0c01a6c2ba6def0afa4389cb4083f34b WHIRLPOOL 8a86877fcbae2b45576e3fae08dfd4771c668257893ba2f813c578641dce9800f42bfd57d0d8ac2abc6bf7cd40921020478f1912014a36cfb722ed408ca1430f
DIST cteq6ll.LHpdf 1461 SHA256 a3c6bd1ebea30f75fa23fa94922ba281872a66e59465b61f73a0f3629c2b5c03 SHA512 b89a87d1c1c7cc910aa4af53abc3cc6550670a5a6332989232d33c7da1ba01ce49bbbf9f3bb454e673312fb5bc1679f86eea18f95a1443d1c80d3a622e2b8728 WHIRLPOOL 3eeba4277668b92bfa0de3d0fb27d0d9b940904061b6aa212936e4a9b86f9955188b81d9572672f64155abc7f2c6184fc90f8f81dd7eabbe1b015b749a5af304
diff --git a/sci-physics/thepeg/files/thepeg-1.8.3-java.patch b/sci-physics/thepeg/files/thepeg-1.8.3-java.patch
index 45b0e9559ad..305207ef779 100644
--- a/sci-physics/thepeg/files/thepeg-1.8.3-java.patch
+++ b/sci-physics/thepeg/files/thepeg-1.8.3-java.patch
@@ -1,5 +1,5 @@
---- java/Makefile.am
-+++ java/Makefile.am
+--- a/java/Makefile.am
++++ b/java/Makefile.am
@@ -11,8 +12,7 @@
CLEANFILES = ThePEG.jar thepeg.sh
@@ -19,8 +19,8 @@
-e s:@bindir[@]:$(bindir):g \
-e s:@java[@]:$(JAVA):g $(srcdir)/thepeg.install > thepeg.sh
chmod +x thepeg.sh
---- java/thepeg.install
-+++ java/thepeg.install
+--- a/java/thepeg.install
++++ b/java/thepeg.install
@@ -1,6 +1,6 @@
#!/bin/sh
diff --git a/sci-physics/thepeg/thepeg-2.0.4.ebuild b/sci-physics/thepeg/thepeg-2.0.4.ebuild
new file mode 100644
index 00000000000..43b009a549b
--- /dev/null
+++ b/sci-physics/thepeg/thepeg-2.0.4.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools elisp-common java-pkg-opt-2
+
+MY_P=ThePEG-${PV}
+
+DESCRIPTION="Toolkit for High Energy Physics Event Generation"
+HOMEPAGE="http://home.thep.lu.se/ThePEG/"
+
+TEST_URI="http://www.hepforge.org/archive/lhapdf/pdfsets/current"
+SRC_URI="http://www.hepforge.org/archive/thepeg/${MY_P}.tar.bz2
+ test? ( hepmc? (
+ ${TEST_URI}/cteq6ll.LHpdf
+ ${TEST_URI}/cteq5l.LHgrid
+ ${TEST_URI}/GRV98nlo.LHgrid
+ ${TEST_URI}/MRST2001nlo.LHgrid ) )"
+LICENSE="GPL-2"
+
+SLOT="0/20"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="c++11 emacs fastjet hepmc java lhapdf rivet static-libs test zlib"
+
+RDEPEND="
+ sci-libs/gsl:=
+ emacs? ( virtual/emacs )
+ fastjet? ( sci-physics/fastjet )
+ hepmc? ( sci-physics/hepmc )
+ java? ( >=virtual/jre-1.5:* )
+ lhapdf? ( >=sci-physics/lhapdf-6.0 )
+ rivet? ( sci-physics/rivet )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ test? ( sys-process/time )"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.8.3-java.patch )
+
+src_prepare() {
+ find -name 'Makefile.am' -exec \
+ sed -i -e '1ipkgdatadir=$(datadir)/thepeg' {} \; || die
+ # trick to force c++ linking
+ sed -i \
+ -e '1inodist_EXTRA_libThePEG_la_SOURCES = dummy.cxx' \
+ -e '/dist_pkgdata_DATA = ThePEG.el/d' \
+ lib/Makefile.am || die
+ default
+ java-pkg-opt-2_src_prepare
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable c++11 stdcxx11) \
+ $(use_with fastjet fastjet "${EPREFIX}"/usr) \
+ $(use_with hepmc hepmc "${EPREFIX}"/usr) \
+ $(use_with java javagui) \
+ $(use_with lhapdf lhapdf "${EPREFIX}"/usr) \
+ $(use_with rivet rivet "${EPREFIX}"/usr) \
+ $(use_with zlib zlib "${EPREFIX}"/usr)
+}
+
+src_compile() {
+ default
+ use emacs && elisp-compile lib/ThePEG.el
+}
+
+src_test() {
+ emake LHAPATH="${DISTDIR}" check
+}
+
+src_install() {
+ default
+ use emacs && elisp-install ${PN} lib/ThePEG.el{,c}
+ use java && java-pkg_newjar java/ThePEG.jar
+
+ cat <<-EOF > "${T}"/50${PN}
+ LDPATH="${EPREFIX}/usr/$(get_libdir)/ThePEG"
+ EOF
+ doenvd "${T}"/50${PN}
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}